package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 开通申请子系统对象 sys_apply_child
 * 
 * @author ruoyi
 * @date 2022-10-27
 */
public class ApplyChild extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long childId;

    /** 开通申请id */
    @Excel(name = "开通申请id")
    private Long applyId;

    /** 子系统id */
    @Excel(name = "子系统id")
    private Long danganId;

    /** 子系统名称 */
    @Excel(name = "子系统名称")
    private String danganName;

    /** 子系统登录名 */
    @Excel(name = "子系统登录名")
    private String loginName;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    public void setChildId(Long childId) 
    {
        this.childId = childId;
    }

    public Long getChildId() 
    {
        return childId;
    }
    public void setApplyId(Long applyId) 
    {
        this.applyId = applyId;
    }

    public Long getApplyId() 
    {
        return applyId;
    }
    public void setDanganId(Long danganId) 
    {
        this.danganId = danganId;
    }

    public Long getDanganId() 
    {
        return danganId;
    }
    public void setDanganName(String danganName) 
    {
        this.danganName = danganName;
    }

    public String getDanganName() 
    {
        return danganName;
    }
    public void setLoginName(String loginName) 
    {
        this.loginName = loginName;
    }

    public String getLoginName() 
    {
        return loginName;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("childId", getChildId())
            .append("applyId", getApplyId())
            .append("danganId", getDanganId())
            .append("danganName", getDanganName())
            .append("loginName", getLoginName())
            .append("status", getStatus())
            .toString();
    }
}
